Subject: bug#34951: [PATCH] grep: a kwset matcher not work in a grep matcher

From: [email-masked]
Date: Fri, 20 Dec 2019 03:35:19 -0700

Paul Eggert <[email-masked]> wrote:

> On 12/16/19 2:12 AM, [email-masked] wrote:
> > What about
> > 
> > 	typedef ptrdiff_t dfa_size_t
>
> That declaration would imply that the type is specific to DFAs. However, the
> type is used (with exactly the same meaning) in a lot of other places. This is
> why I used the more-generic name "idx_t" internally dfa.c.

I give up. Leave it ptrdiff_t.  I may submit comment changes for dfa.h
later.

Arnold